## com.google.gwt.user.client.ui
Interface SourcesTableEvents

All Known Implementing Classes:
  FlexTable, Grid, HTMLTable

Deprecated. use `HasClickHandlers` instead. Event sources should implement methods similar to `HTMLTable.getCellForEvent(com.google.gwt.event.dom.client.ClickEvent)`

    @Deprecated
    public interface SourcesTableEvents

A widget that implements this interface sources the events defined by the `TableListener` interface.

Method Summary
`void` | `addTableListener(TableListener listener)` Deprecated. See the `interface doc` instead
`void` | `removeTableListener(TableListener listener)` Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by an add*Handler method instead

Method Detail

### addTableListener

    @Deprecated
    void addTableListener(TableListener listener)

  Deprecated. See the `interface doc` instead

  Adds a listener interface to receive click events.

  Parameters:
    `listener` - the listener interface to add

### removeTableListener

    @Deprecated
    void removeTableListener(TableListener listener)

  Deprecated. Use the `HandlerRegistration#removeHandler` method on the object returned by an add*Handler method instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove